<lib-table
	#table
	[columnsToDisplay]="displayedColumns"
	[data]="data"
	[pageSizeOptions]="[10, 20, 50, 100]"
	(update)="updateData($event)"
	matSort
	matSortDirection="desc"
	[matSortActive]="displayedColumns[0]"
>
	<ng-container matColumnDef="email">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.email' | translate }}</th>
		<td mat-cell *matCellDef="let item">{{ item.simple.email }}</td>
	</ng-container>

	<ng-container matColumnDef="actions">
		<th mat-header-cell *matHeaderCellDef>{{ 'transl.simple.actions' }}</th>
		<td mat-cell *matCellDef="let item">
			<button mat-icon-button aria-label="Permissions" color="primary" matTooltip="Permissions" (click)="openPermissionsDialog(item)">
				<mat-icon>rule</mat-icon>
			</button>
			<button mat-icon-button aria-label="Remove from tenant" color="warn" matTooltip="Remove from tenant" (click)="removeFromTenant(item)">
				<mat-icon>person_remove</mat-icon>
			</button>
		</td>
	</ng-container>
</lib-table>

<button class="fab" mat-fab color="accent" (click)="addToTenant()">
	<mat-icon>add</mat-icon>
</button>
